> For the complete documentation index, see [llms.txt](https://docs.terminal.africa/tship/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.terminal.africa/tship/shipment/create-shipment.md).

# Create Shipment

## /shipments

<mark style="color:green;">`POST`</mark> `https://api.terminal.africa/v1/shipments`

This endpoint allows you to create a shipment.

#### Headers

| Name                                            | Type   | Description                      |
| ----------------------------------------------- | ------ | -------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | string | Set value to `Bearer SECRET_KEY` |
| Content-Type<mark style="color:red;">\*</mark>  | string | Set value to `application/json`  |

#### Request Body

| Name                                            | Type   | Description                                                                                                                          |
| ----------------------------------------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------ |
| address\_from<mark style="color:red;">\*</mark> | string | Unique id of pickup address.                                                                                                         |
| address\_to<mark style="color:red;">\*</mark>   | string | Unique id of delivery address.                                                                                                       |
| metadata                                        | object | Additional information for shipment.                                                                                                 |
| parcel                                          | string | Id of parcel. One of ***parcel*** or **parcels** must be provided.                                                                   |
| address\_return                                 | string | Unique id of return address. If not provided, ***pickup\_address*** is used by default.                                              |
| shipment\_purpose                               | string | Purpose of shipment. Options are ***commercial***, ***personal***, ***sample***, ***return-after-repair***, ***return-for-repair.*** |
| parcels                                         | Array  | List of parcel ids for creating a multi-parcel shipments. One of ***parcel*** or **parcels** must be provided.                       |
| shipment\_type                                  | string | Type of shipment to be created. Options are ***cash-on-delivery*****.** Required if shipment is to be specified as cash-on-delivery  |

{% tabs %}
{% tab title="200 Shipment created successfully." %}

```
{
	status: true,
	message: 'Shipment created successfully',
	data: {
		address_from: {
			address_id: 'AD-00632494667',	
			city: 'Lagos',
			coordinates: {
					lat: 6.5969424,
					lng: 3.3542992
			},	
			country: 'NGA',
			email: 'augustus_obi@shipmonk.ng',
			first_name: 'Augustus',
			id: 'd799c2679e644279b59fe661ac8fa488',
			is_residential: true,
			last_name: 'Obi',
			line1: '1121 Allen Avenue, Ikeja',
			line2: '',
			metadata: {
				my_app_customer_id: 11234
			},
			name: 'Augustus Obi',
			phone: '+2348122340000',
			state: 'Lagos',
			zip: '121006'			
		},
		address_return: {
			address_id: 'AD-00632494667',	
			city: 'Lagos',
			coordinates: {
					lat: 6.5969424,
					lng: 3.3542992
			},	
			country: 'NGA',
			email: 'augustus_obi@shipmonk.ng',
			first_name: 'Augustus',
			id: 'd799c2679e644279b59fe661ac8fa488',
			is_residential: true,
			last_name: 'Obi',
			line1: '1121 Allen Avenue, Ikeja',
			line2: '',
			metadata: {
				my_app_customer_id: 11234
			},
			name: 'Augustus Obi',
			phone: '+2348122340000',
			state: 'Lagos',
			zip: '121006'		
		},
		address_to: {
			address_id: 'AD-95918335217',	
			city: 'London',
			coordinates: {
					lat: 43.653226,
					lng: -79.3831843
			},	
			country: 'GBR',
			email: 'timothy@shipmonk.ng',
			first_name: 'Timothy',
			id: 'S3YLVnGo9eKpMMbEQcWjgCraLqnNY2Oy',
			is_residential: true,
			last_name: 'Odunubi',
			line1: '45 Greenwich Lane, London',
			line2: '',
			metadata: {
				my_app_customer_id: 10567
			},
			name: 'Timothy Odunubi',
			phone: '+447514022567',
			state: '',
			zip: 'SE5 4HB'		
		},
		events: [],
		id: 'BUbL05Ecprhc2q17Xh9woRSwNpXJehay',
		metadata: {},
		parcel: {
			description: true,
			id: 'Zt4Xh2pbbCmeVcr5YH9lsFHGqoW3i5w3',
			items: [{
				description: 'Shoes purchased from Shipmonk Store',
				name: 'Rubber Boots',
				currency: 'NGN',
				value: 25000',
				weight: 2.5
				quantity: 1
			}],
			metadata: {},		
			packaging: 'LsuiGzcYlz4dKRYnEXeobJu9gnVbQVXN',
			parcel_id: 'PC-25164820699',
			total_weight: 2.51,
			weight: 2.5,
			weight_unit: 'kg'		
		},
		rate: '',
		shipment_id: 'SH-40208776515',
		status: 'draft',
		created_at: '2021-07-13T20:25:53.011Z',
		updated_at: '2021-07-13T20:25:53.011Z'
	}
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.terminal.africa/tship/shipment/create-shipment.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
